:root {
    --white: #FFFFFF;
    --light-purple: #c4bbf0;
    --mid-purple: #927fbf;
    --deep-purple: #4f3b78;
    --dark-color: #363b4e;
}

* {
    color: var(--dark-color);
    font-family: monospace;
    border-radius: 1em;
    caret-color: transparent;
    /* THIS MAKES THE TYPING LINE TRANSPARENT, I MIGHT NEED TO REMOVE/OVERRIDE THIS LINE IF I'LL HAVE WRITABLE TEXTBOXES SOMEWHERE */
}

::selection {
    background: var(--light-purple);
    color: var(--deep-purple);
}

:target {
  scroll-margin-block: 2ex;
}

html {
 scroll-behavior: smooth;
 scrollbar-color: var(--light-purple) var(--dark-color);
}

body {
   background-position: center;
   background-attachment: fixed;
   background-image: url("../images/Geese2.png");
   margin: 0;
}

p {line-height: 1.5em;}

nav {
    padding: 1em;
    margin: 1em;
    font-weight: bold;
}

nav > ul {
    max-width: 960px;
    margin: auto;
    line-height: 3rem;
/* this line takes away the dot in front of the list items */
    list-style-type: none;
/* list items have default padding but we don't need it for these */
    padding-left: 0;
/* and this spaces out the buttons so they're not touching */
    justify-content: space-evenly;
}
nav li {
    text-align: center;
}
nav li > a {
    background-color: var(--mid-purple);
    box-shadow: var(--dark-color) 4px 4px;
    padding: .5em 3em;
/* this takes away the link underline */
    text-decoration: none;
}
nav li > a:hover {
    box-shadow: var(--dark-color) 4px 4px;
}

a {
    color: var(--white);
    border-radius: .3em;
    text-shadow: var(--light-purple) 1px 1px 2px;
    font-weight: bold;
    transition: background-color 400ms ease-out;
}

a:visited {
    color: var(--dark-color);
}
a:hover {
    background-color: var(--light-purple);
    color: var(--dark-color);
}

#sidebarhandler{
  
}

#sidebarhandler > #sidebar {
    /* made the stripe bg with a generator:
    https://stripesgenerator.com/
     */
    background-image: linear-gradient(45deg, var(--deep-purple) 25%, var(--mid-purple) 25%, var(--mid-purple) 50%, var(--deep-purple) 50%, var(--deep-purple) 75%, var(--mid-purple) 75%, var(--mid-purple) 100%);
    background-size: 65.05px 65.05px;
    min-width: 220px;
    max-width: 220px;
    margin: 1em;
    padding: 1em;
    border: 2px solid var(--dark-color);
    box-shadow: var(--light-purple) 4px 4px;
}

#avatar {
    margin: .5em auto;
    box-shadow: var(--light-purple) 4px 4px;
/* image size is 160px so i made its container a little bigger to fit the borders */
    max-width: 164px;
    max-height: 164px;
    border-radius: 1.5em;
}
#avatar img {
    background: var(--light-purple);
    max-width: 160px;
    border: 2px solid var(--dark-color);
    border-radius: 1.5em;
}

#avatar > button {
  background: none;
  border: none;
}

#bio {
    margin: 1em;
    background: var(--mid-purple);
    border: 2px solid var(--dark-color);
    box-shadow: var(--light-purple) 4px 4px;
    text-shadow: var(--bg-color) 0 0 2px;
    max-width: 320px;
}

#content {
    display: flex;
    max-width: 1000px;
    margin: auto;
}

#content-gallery {
    display: flex;
    margin: auto;
}

#content-gallery > ul{
  list-style-type: none;
}

#bio p { 
  margin: 1em;
  }

/* Leaving it for later, that's how I invoke styles for paragraphs, without anything else */
#adouta {
  color:#FFB6C1;
}

main {
    background-color: var(--mid-purple);
    border: 2px solid var(--dark-color);
    padding: 1em 2em;
    margin: 1em;
    box-shadow: var(--light-purple) 4px 4px;
    text-shadow: var(--light-purple) 1px 1px 3px;
    margin-inline: auto;
    padding-inline: 30px;
}

main > h1,
main > h2 {
    background-color: var(--light-purple);
    border-radius: .4em;
    padding: .2em .5em;
    text-shadow: var(--light-purple) 1px 1px 3px;
    text-align: center;
}

main > h3 {
    text-shadow: var(--light-purple) 1px 1px 3px;
    text-align: center;
}

/* a class for centering text and images */
.center { text-align: center; }

footer {
    background-color: var(--light-purple);
    text-shadow: var(--dark-purple) 1px 1px 3px;
    text-align: center;
    font-size: small;
    padding: 1em;
    margin: 1em auto;
    max-width: 1080px;
}

.shaky-btn {
  background: none;
  border: none;
}

.shaky-btn:hover {
    animation: shake2 0.1s ease-out;
}

.shaky-btn:active {
    animation: shake 0.1s ease-out;
}

/* Use the keyframes for defining 
   the animation */
@keyframes shake {
    0% {
        transform: skewX(-10deg);
    }

    25% {
        transform: skewX(10deg);
    }

    50% {
        transform: skewX(-10deg);
    }

    75% {
        transform: skewX(10deg);
    }

    100% {
        transform: skewX(-10deg);
    }
}

@keyframes shake2 {
    0% {
        transform: skewY(-2deg);
    }

    25% {
        transform: skewY(2deg);
    }

    50% {
        transform: skewY(-2deg);
    }

    75% {
        transform: skewY(2deg);
    }

    100% {
        transform: skewY(-2deg);
    }
}

/* these are the mobile styles! */
@media only screen and (max-width: 800px) {   
    #content {
        flex-wrap: wrap;
    }
    #sidebar {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        border: none;
    }
    header {min-height: 160px;}
    header > h1 { 
        font-size: 3em;
        margin: .4em;
    }
    nav > ul {
    /* this stuff makes it wrap around on mobile */
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
    }
    #avatar {margin: 0 1em;}
    #bio {width: 50%;}
    main {margin: 0 1em;}
    #sidebar ul {   
        margin: 0 1em;
        display: flex;
        flex-wrap: wrap;
        line-height: 2em;
    }
    #sidebar li {
        padding-left: 0;
        margin: .3em 1em;
    }
    footer {
        margin: 1em;
    }
}